HttpParser (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.HttpParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient
Class HttpParser

    java.lang.Object
      org.apache.commons.httpclient.HttpParser

    public class HttpParser

extends Object

A utility class for parsing http header values according to RFC-2616 Section 4 and 19.3.

Since:
  2.0beta1
Author:
  Michael Becke, Oleg Kalnichevski

Method Summary
`static Header[]` | `parseHeaders(InputStream is)` Deprecated. use #parseHeaders(InputStream, String)
`static Header[]` | `parseHeaders(InputStream is, String charset)` Parses headers from the given stream.
`static String` | `readLine(InputStream inputStream)` Deprecated. use #readLine(InputStream, String)
`static String` | `readLine(InputStream inputStream, String charset)` Read up to `"\n"` from an (unchunked) input stream.
`static byte[]` | `readRawLine(InputStream inputStream)` Return byte array from an (unchunked) input stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### readRawLine

    public static byte[] readRawLine(InputStream inputStream)
                              throws IOException

  Return byte array from an (unchunked) input stream. Stop reading when `"\n"` terminator encountered If the stream ends before the line terminator is found, the last part of the string will still be returned. If no input data available, `null` is returned.

  Parameters:
    `inputStream` - the stream to read from
  Returns:
    a byte array from the stream
  Throws:
    `IOException` - if an I/O problem occurs

### readLine

    public static String readLine(InputStream inputStream,
                                  String charset)
                           throws IOException

  Read up to `"\n"` from an (unchunked) input stream. If the stream ends before the line terminator is found, the last part of the string will still be returned. If no input data available, `null` is returned.

  Parameters:
    `inputStream` - the stream to read from
    `charset` - charset of HTTP protocol elements
  Returns:
    a line from the stream
  Throws:
    `IOException` - if an I/O problem occurs
  Since:
    3.0

### readLine

    public static String readLine(InputStream inputStream)
                           throws IOException

  Deprecated. use #readLine(InputStream, String)

  Read up to `"\n"` from an (unchunked) input stream. If the stream ends before the line terminator is found, the last part of the string will still be returned. If no input data available, `null` is returned

  Parameters:
    `inputStream` - the stream to read from
  Returns:
    a line from the stream
  Throws:
    `IOException` - if an I/O problem occurs

### parseHeaders

    public static Header[] parseHeaders(InputStream is,
                                        String charset)
                                 throws IOException,
                                        HttpException

  Parses headers from the given stream. Headers with the same name are not combined.

  Parameters:
    `is` - the stream to read headers from
    `charset` - the charset to use for reading the data
  Returns:
    an array of headers in the order in which they were parsed
  Throws:
    `IOException` - if an IO error occurs while reading from the stream
    `HttpException` - if there is an error parsing a header value
  Since:
    3.0

### parseHeaders

    public static Header[] parseHeaders(InputStream is)
                                 throws IOException,
                                        HttpException

  Deprecated. use #parseHeaders(InputStream, String)

  Parses headers from the given stream. Headers with the same name are not combined.

  Parameters:
    `is` - the stream to read headers from
  Returns:
    an array of headers in the order in which they were parsed
  Throws:
    `IOException` - if an IO error occurs while reading from the stream
    `HttpException` - if there is an error parsing a header value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.